Subject: Re: [Madwifi-devel] ar5k and Atheros AR5005G

From: Stephen Hemminger <[email-masked]>
Date: Tue, 5 Dec 2006 09:18:20 -0800

On Tue, 5 Dec 2006 10:15:33 -0500
"Luis R. Rodriguez" <[email-masked]> wrote:

> On 12/5/06, Michael Renzmann <[email-masked]> wrote:
>  openhal here.
> >
> > I've set up the suggested branches, with slight changing to the proposed
> > names:
> >
> > * http://svn.madwifi.org/branches/madwifi-old-openhal (based on r1142)
> > * http://svn.madwifi.org/branches/dadwifi-openhal (based on r1827)
> >
> > Neither of them has received any modifications yet, they are basically
> > copies of the mentioned revisions. I'm currently lacking the time to
> > import Nick's work into the madwifi-old-openhal branch, for example - it
> > would be nice if someone else could work on that.
> 
> CC'ing Reyk Foeter.
> 
> Committed Nick's port of ar5k (openal) to both branches, both now have
> the openhal. Please note (very important):
> 
> We are basing our openhal on OpenBSD's ar5k. Because of this and since
> the GPL does not allow us to commit changes on the GPL version back to
> the BSD version please sumbit your non-linux enhancements to the HAL
> to "Reyk Floeter" <[email-masked]> and CC madwifi-devel.
> 
> We have an openhal.org which we can start to use, should Reyk want, to
> use as the master tree of the ar5k to make sure any enhancements on
> the HAL go to both BSD and Linux. The licensing on the master tree
> should be kept BSD as Reyk wants it to be. This way Linux or BSD
> contributions can go into one tree and later revisions can be added to
> dadwifi/openbsd with their own specific BSD'isms and Linux'isms. Keep
> in mind the Linux port will remain dual licensed BSD/GPL. Let me know
> what you think Reyk.
> 
>   Luis

All the more reason to merge the HAL in and make it disappear

-- 
Stephen Hemminger <[email-masked]>